/**
 * @file	stellarisMS.h
 *
 * @brief	Declarations for the msiStellaris* microservices.
 */

#ifndef STELLARISMS_H
#define STELLARISMS_H

#include "rods.h"
#include "reGlobalsExtern.h"
#include "rsGlobalExtern.h"
#include "rcGlobalExtern.h"

int msiStellarisTest(ruleExecInfo_t* rei);
int msiStellarisPrint(msParam_t *content, ruleExecInfo_t* rei);
int msiStellarisAddMetadata(msParam_t *file, msParam_t *att, msParam_t *val, msParam_t *unit, ruleExecInfo_t *rei);
int msiStellarisCreateRdf(msParam_t *subject, msParam_t *predicate, msParam_t *object, msParam_t *rdfRepresentation, msParam_t *outParam, ruleExecInfo_t *rei);
int msiStellarisSendToStellaris(msParam_t *file, msParam_t *content, msParam_t *retCode, msParam_t *outParam, ruleExecInfo_t *rei);

#endif	/* STELLARISMS_H */
